\documentclass[12pt, a4paper]{article}
\usepackage{graphicx} 
\usepackage{calc}
\usepackage{eso-pic, picture, calc}
\usepackage{geometry}
\usepackage[polish]{babel}
\usepackage[T1]{fontenc}
\usepackage{changepage}
\usepackage{multirow}
\usepackage{adjustbox}
\usepackage{lipsum}
\usepackage{amsmath}
\usepackage{tikz}
\usepackage{pgfplots}

\newlength{\PageFrameTopMargin}
\newlength{\PageFrameBottomMargin}
\newlength{\PageFrameLeftMargin}
\newlength{\PageFrameRightMargin}

\setlength{\PageFrameTopMargin}{1cm}
\setlength{\PageFrameBottomMargin}{1cm}
\setlength{\PageFrameLeftMargin}{1cm}
\setlength{\PageFrameRightMargin}{1cm}

\makeatletter

\newlength{\Page@FrameHeight}
\newlength{\Page@FrameWidth}

\AddToShipoutPicture{
  \thinlines
  \setlength{\Page@FrameHeight}{\paperheight-\PageFrameTopMargin-\PageFrameBottomMargin}
  \setlength{\Page@FrameWidth}{\paperwidth-\PageFrameLeftMargin-\PageFrameRightMargin}
  \put(\strip@pt\PageFrameLeftMargin,\strip@pt\PageFrameTopMargin){
    \framebox(\strip@pt\Page@FrameWidth, \strip@pt\Page@FrameHeight){}}}

\begin{document}

\newgeometry{left=9cm,bottom=0.1cm,top=2cm}
\raggedright
\textbf{Sebastian Kwaśniak\\Radosław Kamiński\\Tymon Tomczykowski}
\hspace{3cm}


\vspace{7cm}
\begin{adjustwidth}{-6cm}{1pt}
    \centering
    \fontsize{24pt}{24pt} 
    \textbf{Symulacja Układów Lotniczych\\}
    \fontsize{20pt}{20pt} 
    \textbf{Projekt Sterolotki od Wahadłowca}

    \normalsize
    \vspace{13cm}
    \raggedright
    \textbf{Data oddania\\projektu: xx.xx.xxxx}
    \hspace{7cm}
    \textbf{Ocena:..........}
\end{adjustwidth}

\newgeometry{left=1.5cm,right=1.5cm,top=2cm}
\setlength{\PageFrameTopMargin}{-10cm}
\setlength{\PageFrameBottomMargin}{-10cm}
\setlength{\PageFrameLeftMargin}{-10cm}
\setlength{\PageFrameRightMargin}{-10cm}
%\newpage

\restoregeometry
\tableofcontents

\newpage
\input{obciazenia.tex}

\end{document}